---
title: "Create a new product"
url: "https://developer.apiprimer.com/apis/product-inventory-api/versions/b23daac0-23b7-4663-8306-2f0b7d604314/paths/products/post"
---

> Full API specification: https://developer.apiprimer.com/apis/product-inventory-api/versions/b23daac0-23b7-4663-8306-2f0b7d604314.md

# Create a new product

`POST` `/products`

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Product created successfully

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Product Inventory API
  version: 1.0.0
servers:
  - url: https://api.apiprimer.com
paths:
  /products:
    post:
      summary: Create a new product
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the product
                description:
                  type: string
                  description: Product description
                price:
                  type: number
                  format: float
                  description: Price of the product
      responses:
        "201":
          description: Product created successfully
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
```
